Unable to open Plesk Extensions: PHP Warning file_put_contents /opt/psa/var/cache/ Permission denied

Created:

2016-11-16 13:17:26 UTC

Modified:

2017-08-16 17:21:49 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Unable to open Plesk Extensions: PHP Warning file_put_contents /opt/psa/var/cache/ Permission denied

Applicable to:

  • Plesk 11.x for Linux

Symptoms

Unable to open Plesk Extensions catalog:

PHP Warning: file_put_contents(/opt/psa/var/cache/https___ext_plesk_com_api_v2_packages_platform_unix-1024-0.cache): failed to open stream: Permission denied

Cause

Invalid permissions on /opt/psa/var/cache/ file

Resolution

Modify permissions for /opt/psa/var/cache/ file as follows:

chown psaadm.root /opt/psa/var/cache/
chmod 700 /opt/psa/var/cache/
Have more questions? Submit a request
Please sign in to leave a comment.